unit UnitCli1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ScktComp;

type
  TForm1 = class(TForm)
    ClientSocket1: TClientSocket;
    Label1: TLabel;
    Memo1: TMemo;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure ClientSocket1Connect(Sender: TObject;
      Socket: TCustomWinSocket);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure ClientSocket1Read(Sender: TObject; Socket: TCustomWinSocket);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
 server :string;
begin
 server:='172.22.1.6';
 if ClientSocket1.Active then ClientSocket1.Active := False;
 if InputQuery('Computer to connect to', 'Address Name:', Server) then
  if Length(Server)>0 then
   with ClientSocket1 do
   begin
    Host:=Server;
    Active:=True;
   end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 ClientSocket1.Socket.SendText('Show');
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 ClientSocket1.Close;
 ClientSocket1.Active:=False;
end;

procedure TForm1.ClientSocket1Connect(Sender: TObject;
  Socket: TCustomWinSocket);
begin
 memo1.Lines.add('Client Connect...');
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
 ClientSocket1.Socket.SendText('Drop');
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
 ClientSocket1.Socket.SendText('Rest');
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
 ClientSocket1.Socket.SendText('Gver');
end;

procedure TForm1.ClientSocket1Read(Sender: TObject;
  Socket: TCustomWinSocket);
begin
 Memo1.Lines.Add(Socket.ReceiveText);
end;

end.
