unit UnitSrv1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ScktComp;

type
  TForm1 = class(TForm)
    ServerSocket1: TServerSocket;
    Label1: TLabel;
    Memo1: TMemo;
    procedure ServerSocket1ClientRead(Sender: TObject;
      Socket: TCustomWinSocket);
    procedure ServerSocket1ClientWrite(Sender: TObject;
      Socket: TCustomWinSocket);
    procedure FormShow(Sender: TObject);
    procedure ServerSocket1ClientConnect(Sender: TObject;
      Socket: TCustomWinSocket);
    procedure ServerSocket1ClientDisconnect(Sender: TObject;
      Socket: TCustomWinSocket);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ServerSocket1ClientRead(Sender: TObject;
  Socket: TCustomWinSocket);
var
 msg	:string;
begin
 msg:=Socket.ReceiveText;
 memo1.Lines.Add('Read');
 memo1.Lines.Add(msg);
 if msg='Show' then
 begin
  ShowMessage('  !');
 end;
 if msg='Drop' then
 begin
  Application.Minimize;
 end;

 if msg='Rest' then
 begin
  Application.Restore;
 end;

 if msg='Gver' then
 begin
  Socket.SendText('Ver 1.0');
 end;
end;

procedure TForm1.ServerSocket1ClientWrite(Sender: TObject;
  Socket: TCustomWinSocket);
begin
 memo1.Lines.Add('Write');
 memo1.Lines.Add(Socket.ReceiveText);
end;

procedure TForm1.FormShow(Sender: TObject);
begin
 ServerSocket1.Active:=True;
end;

procedure TForm1.ServerSocket1ClientConnect(Sender: TObject;
  Socket: TCustomWinSocket);
begin
 Memo1.Lines.Add('  ');
end;

procedure TForm1.ServerSocket1ClientDisconnect(Sender: TObject;
  Socket: TCustomWinSocket);
begin
 Memo1.Lines.Add('  ');
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 ServerSocket1.Close;
end;

end.
